Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 5 Jan 2018 14:07:52 +0700
From:      Victor Sudakov <vas@mpeks.tomsk.su>
To:        freebsd-questions@freebsd.org
Subject:   Re: Convert .flac and .ape to mp3
Message-ID:  <20180105070752.GA22162@admin.sibptus.transneft.ru>
In-Reply-To: <20180104175156.440fa0c2.freebsd@edvax.de>
References:  <20180104163421.GA15692@admin.sibptus.transneft.ru> <20180104175156.440fa0c2.freebsd@edvax.de>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
Polytropon wrote:
> On Thu, 4 Jan 2018 23:34:21 +0700, Victor Sudakov wrote:
> > What do you convert ape and flac audio files to mp3 with?
> > 
> > multimedia/ffmpeg does not seem to support encoding to mp3 (only
> > decoding), what else could I try?
> 
> Huh? I'm using ffmpeg regularly to convert from mp4 or flv _to_ mp3,
> this works quite well. Maybe you need to install an additional encoder,
> plugin, or library if you're lacking mp3 support?
> 
> 	% ffmpeg -i example.flv example.mp3
> 
> It does what it says on the can. Works for years. :-)

I have built ffmpeg-3.4.1_1,1 and holy sh*t! That's what it is trying
to install on a headless machine:

# pkg install ffmpeg
Updating sibptus repository catalogue...
sibptus repository is up to date.
All repositories are up to date.
The following 43 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        ffmpeg: 3.4.1_1,1
        fontconfig: 2.12.1,1
        freetype2: 2.8_1
        gnutls: 3.5.16
        trousers: 0.3.14_1
        tpm-emulator: 0.7.4_2
        gmp: 6.1.2
        p11-kit: 0.23.9
        libtasn1: 4.12
        nettle: 3.4
        xvid: 1.3.4,1
        libx264: 0.148.2795
        libvpx: 1.6.1_2
        libvdpau: 1.1.1
        libXext: 1.3.3_1,1
        xproto: 7.0.31
        xextproto: 7.3.0
        libXau: 1.0.8_3
        libX11: 1.6.5,1
        libxcb: 1.12_2
        libXdmcp: 1.1.2
        libxml2: 2.9.7
        libpthread-stubs: 0.4
        kbproto: 1.0.7
        libva: 2.0.0_1
        libXfixes: 5.0.3
        fixesproto: 5.0
        v4l_compat: 1.6.3
        mesa-libs: 17.3.0
        libxshmfence: 1.2_2
        libXxf86vm: 1.1.4_1
        xf86vidmodeproto: 2.3.1
        libXdamage: 1.1.4_3
        damageproto: 1.2.1
        libdrm: 2.4.88,1
        libpciaccess: 0.13.5
        pciids: 20171206
        libunwind: 20170113_1
        libv4l: 1.6.3_2
        jpeg-turbo: 1.5.2
        libtheora: 1.1.1_7
        libvorbis: 1.3.5_1,3
        opencv-core: 2.4.13.1_1

I definitely don't want all that X11 stuff there. What have I missed while building it? 
I most certainly have OPTIONS_UNSET=X11 im make.conf.

I feel there are some knobs I need to disable before building. Do you happen to know which ones?

-- 
Victor Sudakov,  VAS4-RIPE, VAS47-RIPN
AS43859



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20180105070752.GA22162>